apiVersion: v1
kind: Service
metadata:
  annotations:
    cloud.google.com/neg: '{"ingress":true}'
    cloud.google.com/neg-status: '{"network_endpoint_groups":{"18083":"k8s1-1c4d7080-middleware-emqx-18083-77add68f","8081":"k8s1-1c4d7080-middleware-emqx-8081-9c3d60fb"},"zones":["europe-west1-b"]}'
  finalizers:
  - service.kubernetes.io/load-balancer-cleanup
  labels:
    app.kubernetes.io/instance: emqx
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: emqx
    helm.sh/chart: emqx-4.3.0
  name: emqx
  namespace: middleware
spec:
  allocateLoadBalancerNodePorts: true
  clusterIP: 10.40.13.174
  clusterIPs:
  - 10.40.13.174
  externalTrafficPolicy: Cluster
  internalTrafficPolicy: Cluster
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  loadBalancerIP: 34.140.69.96
  ports:
  - name: mqtt
    nodePort: 30709
    port: 1883
    protocol: TCP
    targetPort: mqtt
  - name: mqttssl
    nodePort: 32700
    port: 8883
    protocol: TCP
    targetPort: mqttssl
  - name: mgmt
    nodePort: 30736
    port: 8081
    protocol: TCP
    targetPort: mgmt
  - name: ws
    nodePort: 31105
    port: 8083
    protocol: TCP
    targetPort: ws
  - name: wss
    nodePort: 32329
    port: 8084
    protocol: TCP
    targetPort: wss
  - name: dashboard
    nodePort: 30729
    port: 18083
    protocol: TCP
    targetPort: dashboard
  selector:
    app.kubernetes.io/instance: emqx
    app.kubernetes.io/name: emqx
  sessionAffinity: None
  type: LoadBalancer
status:
  loadBalancer:
    ingress:
    - ip: 34.140.69.96
